<?php // utf-8 check: äöü

if (!function_exists('sv') || preg_match('#plugins/multimedia2/index.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/*
============================================================
CMSimple Plugin MultiMedia2
============================================================
Version:    MultiMedia2 2.4
Released:   2023-10
Copyright:  Gert Ebersbach
Internet:   www.ge-webdesign.de
============================================================ 
License: Commercial License (for commercial websites only)
see http://www.ge-webdesign.de/cmsimpleplugins/?Nutzungsbedingungen
============================================================ 
*/

if(!function_exists('rfc')){die('access denied');}

define('MULTIMEDIA2_VERSION', '2.4');

// DEFINE DATA PATH

// audio
if(is_writable('./' . $plugin_cf['multimedia2']['filepath_audio']))
{
	$mm2audioFilePath = './' . $plugin_cf['multimedia2']['filepath_audio'];
}
else
{
	$mm2audioFilePath = $pth['folder']['base'] . $plugin_cf['multimedia2']['filepath_audio'];
}

if(isset($co_author_folder) && is_writable($pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio']))
{
	$mm2audioFilePath = $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio'];
}

// video
if(is_writable('./' . $plugin_cf['multimedia2']['filepath_video']))
{
	$mm2videoFilePath = './' . $plugin_cf['multimedia2']['filepath_video'];
}
else
{
	$mm2videoFilePath = $pth['folder']['base'] . $plugin_cf['multimedia2']['filepath_video'];
}

if(isset($co_author_folder) && is_writable($pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_video']))
{
	$mm2videoFilePath = $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_video'];
}


/* 
################################
    MultiMedia AudioPlayer
################################ 
*/

function mm2audio($mm2audioFile,$mm2audioFileInfo,$mm2audioPlayerWidth='240',$mm2audioClass='mm2audioDefault')
{
	global $o, $hjs, $pth, $plugin_tx, $plugin_cf, $mm2audioFilePath, $co_author_folder;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		return '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
	}

	// define audio filepath
	if(is_writable('./' . $plugin_cf['multimedia2']['filepath_audio']))
	{
		$mm2audioFilePath = './' . $plugin_cf['multimedia2']['filepath_audio'];
	}
	else
	{
		$mm2audioFilePath = $pth['folder']['base'] . $plugin_cf['multimedia2']['filepath_audio'];
	}

	if(isset($co_author_folder) && is_writable($pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio']))
	{
		$mm2audioFilePath = $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio'];
	}

	$text ='
<script type="text/javascript">
//<![CDATA[

function mm2audioPlay' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").pause();
	document.getElementById("player' . $mm2audioFile . '").play();
	document.getElementById("playbutton' . $mm2audioFile . '").style.display = "none";
	document.getElementById("pausebutton' . $mm2audioFile . '").style.display = "";
	return;
}

function mm2audioPause' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").pause();
	document.getElementById("playbutton' . $mm2audioFile . '").style.display = "";
	document.getElementById("pausebutton' . $mm2audioFile . '").style.display = "none";
}

function mm2audioRestart' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").pause();
	document.getElementById("player' . $mm2audioFile . '").currentTime = 0;
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioTimePlus' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").currentTime = (document.getElementById("player' . $mm2audioFile . '").currentTime + 10);
	mm2audioPause' . $mm2audioFile . '();
}

function mm2audioTimeMinus' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").currentTime = (document.getElementById("player' . $mm2audioFile . '").currentTime - 10);
	mm2audioPause' . $mm2audioFile . '();
}

function mm2audioVolume0' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").volume = 0.15; 
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioVolume25' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").volume = 0.25; 
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioVolume50' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").volume = 0.5; 
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioVolume75' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").volume = 0.75; 
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioVolume100' . $mm2audioFile . '()
{
	document.getElementById("player' . $mm2audioFile . '").volume = 1; 
	mm2audioPlay' . $mm2audioFile . '();
}

function mm2audioFileInfos' . $mm2audioFile . '()
{
	mm2audioCurrentTime = document.getElementById("player' . $mm2audioFile . '").currentTime;
	mm2audioFullTime = document.getElementById("player' . $mm2audioFile . '").duration;
	mm2audioRelation = mm2audioCurrentTime / mm2audioFullTime;
	mm2audiowidth = mm2audioRelation * 100;
	document.getElementById("mm2audioBar' . $mm2audioFile . '").style.width = mm2audiowidth + "%";

	mm2audioCurrentTime = mm2audioCurrentTime.toFixed(0);
	mm2audioSeconds = mm2audioCurrentTime % 60;
	mm2audioMinutes = (mm2audioCurrentTime - mm2audioSeconds) / 60;

	if (mm2audioSeconds < 10) mm2audioSeconds ="0" + mm2audioSeconds;
	mm2audioCurrentTime = mm2audioMinutes + ":" + mm2audioSeconds;
	
	mm2audioFullTime = mm2audioFullTime.toFixed(0);
	mm2audioSeconds2 = mm2audioFullTime % 60;
	mm2audioMinutes2 = (mm2audioFullTime - mm2audioSeconds2) / 60;

	if (mm2audioSeconds2 < 10) mm2audioSeconds2 = "0" + mm2audioSeconds2;
	mm2audioFullTime = mm2audioMinutes2 + ":" + mm2audioSeconds2;
	
	if(mm2audioCurrentTime >= mm2audioFullTime)
	{
		document.getElementById("playbutton' . $mm2audioFile . '").style.display = "";
		document.getElementById("pausebutton' . $mm2audioFile . '").style.display = "none";
	}

	document.getElementById("mm2audioFileInfo' . $mm2audioFile . '").innerHTML = \' <b>\' + mm2audioCurrentTime + \'</b> von \' + mm2audioFullTime + \' min\';' . "\n" . '

	if(document.getElementById("player' . $mm2audioFile . '").volume < 0.20)
	{
		document.getElementById("mm2audioLoudness' . $mm2audioFile . '").innerHTML = "<img src=\"' . $pth['folder']['plugins'] . 'multimedia2/images/vol15.gif\" title=\"Volume 15%\" alt=\"Volume 15%\">' . '";
	}
	
	if(document.getElementById("player' . $mm2audioFile . '").volume > 0.20)
	{
		document.getElementById("mm2audioLoudness' . $mm2audioFile . '").innerHTML = "<img src=\"' . $pth['folder']['plugins'] . 'multimedia2/images/vol25.gif\" title=\"Volume 25%\" alt=\"Volume 25%\">' . '";
	}
	
	if(document.getElementById("player' . $mm2audioFile . '").volume > 0.4)
	{
		document.getElementById("mm2audioLoudness' . $mm2audioFile . '").innerHTML = "<img src=\"' . $pth['folder']['plugins'] . 'multimedia2/images/vol50.gif\" title=\"Volume 50%\" alt=\"Volume 50%\">' . '";
	}
	
	if(document.getElementById("player' . $mm2audioFile . '").volume > 0.6)
	{
		document.getElementById("mm2audioLoudness' . $mm2audioFile . '").innerHTML = "<img src=\"' . $pth['folder']['plugins'] . 'multimedia2/images/vol75.gif\" title=\"Volume 75%\" alt=\"Volume 75%\">' . '";
	}
	
	if(document.getElementById("player' . $mm2audioFile . '").volume > 0.75 && document.getElementById("player' . $mm2audioFile . '").volume <= 1)
	{
		document.getElementById("mm2audioLoudness' . $mm2audioFile . '").innerHTML = "<img src=\"' . $pth['folder']['plugins'] . 'multimedia2/images/vol100.gif\" title=\"Volume 100%\" alt=\"Volume 100%\">' . '";
	}
}
//]]>
</script>
';

	$text.= '
<div class="mm2audioPlayer ' . $mm2audioClass . ' mm2audioPlayer_' . $mm2audioFile . '" style="width: ' . $mm2audioPlayerWidth . 'px;">
<audio id="player' . $mm2audioFile . '" ontimeupdate="mm2audioFileInfos' . $mm2audioFile . '()" style="height: 0;">
<source src="' . $mm2audioFilePath . $mm2audioFile . '.mp3" type="audio/mpeg">
<source src="' . $mm2audioFilePath . $mm2audioFile . '.ogg" type="audio/ogg">
' . $plugin_tx['multimedia2']['hint_browser_support'] . '<br>
';

	if($plugin_cf['multimedia2']['allow_localplayer_link'] == 'true')
	{
		$text.= '<a href="' . $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio'] . $mm2audioFile . '.mp3">' . $plugin_tx['multimedia2']['use_local_player'] . '</a>
<br>
';
	}

	$text.= '
</audio>
<div style="clear: both;"></div>

<div class="mm2audioToolbarPlay" ';

	if($mm2audioPlayerWidth >= '280')
	{
		$text.= 'style="width: 64%!important;"';
	}

	$text.= '>
<img id="playbutton' . $mm2audioFile . '" title="' . $plugin_tx['multimedia2']['button_play'] . '" onclick="mm2audioPlay' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/playbutton.gif" alt="' . $plugin_tx['multimedia2']['button_play'] . '">
<img id="pausebutton' . $mm2audioFile . '" style="display: none;" title="' . $plugin_tx['multimedia2']['button_pause'] . '" onclick="mm2audioPause' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/stopbutton.gif" alt="' . $plugin_tx['multimedia2']['button_pause'] . '">
<img style="width: 12px;" src="' . $pth['folder']['plugins'] . 'multimedia2/images/placeholder.gif" alt="">
<img title="' . $plugin_tx['multimedia2']['button_play_again'] . '" onclick="mm2audioRestart' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/backbutton.gif" alt="' . $plugin_tx['multimedia2']['button_play_again'] . '">';

	if($mm2audioPlayerWidth >= '280')
	{
	$text.= '
<img style="width: 12px;" src="' . $pth['folder']['plugins'] . 'multimedia2/images/placeholder.gif" alt="">
<img title="-10s" onclick="mm2audioTimeMinus' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/rewindbutton.gif" alt="' . $plugin_tx['multimedia2']['button_play_again'] . '">
<img style="width: 12px;" src="' . $pth['folder']['plugins'] . 'multimedia2/images/placeholder.gif" alt="">
<img title="+10s" onclick="mm2audioTimePlus' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/forwardbutton.gif" alt="' . $plugin_tx['multimedia2']['button_play_again'] . '">';
	}
	$text.= '<div style="clear: both;"></div>
</div>

<div class="mm2audioToolbarVolume" ';
	if($mm2audioPlayerWidth >= '280')
	{
		$text.= 'style="width: 32%!important;"';
	}

	$text.= '>
';

	$text.= '<img onclick="mm2audioVolume100' . $mm2audioFile . '();" src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol100grey.gif" style="cursor: pointer;" title="100%" alt="100%">
<img onclick="mm2audioVolume75' . $mm2audioFile . '();" src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol75grey.gif" style="cursor: pointer;" title="75%" alt="75%">
<img onclick="mm2audioVolume50' . $mm2audioFile . '();" src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol50grey.gif" style="cursor: pointer;" title="50%" alt="50%"
<img onclick="mm2audioVolume25' . $mm2audioFile . '();" src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol25grey.gif" style="cursor: pointer;" title="25%" alt="25%">
<img onclick="mm2audioVolume0' . $mm2audioFile . '()" src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol15grey.gif" style="cursor: pointer;" title="15%" alt="15%">
<div id="mm2audioLoudness' . $mm2audioFile . '" style="float: right; float: right;">
<img src="' . $pth['folder']['plugins'] . 'multimedia2/images/vol0.gif" title="Volume" alt="Volume">
</div>
';

	$text.= '
<div style="clear: both;"></div>
</div>
';

	$text.='<div style="clear: both;"></div>

<div class="mm2audioPlayerTimeBar">
<div id="mm2audioBar' . $mm2audioFile . '" class="mm2audioBar"></div>
</div>';

	if($mm2audioFileInfo != '')
	{
		$text.='
<div id="mm2audioFileInfoFromPluginCall' . $mm2audioFile . '" class="mm2audioFileInfo">
' . $mm2audioFileInfo . '
</div>

<div id="mm2audioFileInfo' . $mm2audioFile . '" class="mm2audioFileInfo">' . $plugin_tx['multimedia2']['player_status'] . '</div>
';
	}
	else
	{
		$text.='
<div id="mm2audioFileInfo' . $mm2audioFile . '" class="mm2audioFileInfo">' . $plugin_tx['multimedia2']['player_status'] . '</div>
';
	}

	$text.= '<div style="clear: both;"></div>
</div>
';

	if($plugin_cf['multimedia2']['audio_clear_after_player'] == 'true')
	{
		$text.= '<div style="clear: both;"></div>
';
	}

	return($text);
}


/* 
################################
 browser internal AudioPlayers
################################ 
*/

function mm2audioBP($mm2audioFile,$mm2audioWidth='180',$mm2audioClass='mm2audioBPDefault')
{
	global $pth, $plugin_tx, $plugin_cf, $mm2audioFilePath, $co_author_folder;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		return '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
	}

	// define audio filepath
	if(is_writable('./' . $plugin_cf['multimedia2']['filepath_audio']))
	{
		$mm2audioFilePath = './' . $plugin_cf['multimedia2']['filepath_audio'];
	}
	else
	{
		$mm2audioFilePath = $pth['folder']['base'] . $plugin_cf['multimedia2']['filepath_audio'];
	}

	if(isset($co_author_folder) && is_writable($pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio']))
	{
		$mm2audioFilePath = $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio'];
	}

	$text = '
<div class="mm2audioPlayerBP ' . $mm2audioClass . ' mm2audioPlayerBP_' . $mm2audioFile . '" style="width: ' . $mm2audioWidth . 'px">
<audio controls="controls">
<source src="' . $mm2audioFilePath . $mm2audioFile . '.mp3" type="audio/mpeg">
<source src="' . $mm2audioFilePath . $mm2audioFile . '.ogg" type="audio/ogg">
<p>' . $plugin_tx['multimedia2']['hint_browser_support'] . '<br>
';

	if($plugin_cf['multimedia2']['allow_localplayer_link'] == 'true')
	{
		$text.= '<a href="' . $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_audio'] . $mm2audioFile . '.mp3">' . $plugin_tx['multimedia2']['use_local_player'] . '</a>';
	}
	
	$text.= '</p>
</audio>
<div style="clear: both;"></div>
</div>
';

	if($plugin_cf['multimedia2']['audio_clear_after_player'] == 'true')
	{
		$text.= '<div style="clear: both;"></div>
';
	}

	return($text);
}


/* 
################################
    AudioPlayer Flex
################################ 
*/

function mm2audioFlex($mm2audioFile,$mm2properties='controls')
{
	global $pth, $plugin_tx, $plugin_cf, $mm2audioFilePath, $co_author_folder;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		return '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
	}

	$text = '
<audio ' . $mm2properties . '>
	<source src="' . $mm2audioFilePath . $mm2audioFile . '.mp3" type="audio/mpeg">
	<source src="' . $mm2audioFilePath . $mm2audioFile . '.ogg" type="audio/ogg">
</audio>
';
	return($text);
}




/* 
################################
   browser html5 VideoPlayers
################################ 
*/

function mm2video($mm2videoFile,$maxwidth='100%',$mm2videoClass='mm2videoDefault',$autoplay='',$loop='',$controls='controls')
{
	global $mm2videoFilePath,$plugin_cf,$plugin_tx,$pth,$co_author_folder ;
	
	if(!defined('CMSIMPLE_VERSION'))
	{
		return '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
	}


// define video datapath
if(is_writable('./' . $plugin_cf['multimedia2']['filepath_video']))
{
	$mm2videoFilePath = './' . $plugin_cf['multimedia2']['filepath_video'];
}
else
{
	$mm2videoFilePath = $pth['folder']['base'] . $plugin_cf['multimedia2']['filepath_video'];
}

if(isset($co_author_folder) && is_writable($pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_video']))
{
	$mm2videoFilePath = $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_video'];
}

	$output = '
<div class="mm2video ' . $mm2videoClass . ' mm2video_' . $mm2videoFile . '" style="max-width: ' . $maxwidth . ';">
<video class="mm2videoPlayer mm2videoPlayer_' . $mm2videoFile . '" poster="' . $mm2videoFilePath . $mm2videoFile . '.jpg" ' . $autoplay . ' ' . $loop . ' ' . $controls . '>
<source src="' . $mm2videoFilePath . $mm2videoFile . '.mp4" type="video/mp4">
<source src="' . $mm2videoFilePath . $mm2videoFile . '.webm" type="video/webm">
<source src="' . $mm2videoFilePath . $mm2videoFile . '.ogv" type="video/ogv">
<p class="mm2videoMessage">' . $plugin_tx['multimedia2']['hint_browser_support'] . '<br>
';

	if($plugin_cf['multimedia2']['allow_localplayer_link'] == 'true')
	{
		$output.= '<a href="' . $pth['folder']['base'] . $co_author_folder . $plugin_cf['multimedia2']['filepath_video'] . $mm2videoFile . '.mp4">' . $plugin_tx['multimedia2']['use_local_player'] . '</a>';
	}
	
	$output.= '</p>
</video>
</div>
';

	return $output;
}

?>